defmodule Pandoc.MixProject do
  use Mix.Project

  @version "0.3.2"
  @source_ref "trunk"
  @source_url "https://git.miti.sh/ccm/pandoc"

  def project do
    [
      app: :pandoc,
      version: @version,
      elixir: "~> 1.14",
      deps: deps(),
      description: "File system watcher and Mix tasks for installing and invoking pandoc",
      package: [
        links: %{
          "pandoc" => "https://pandoc.org/"
        },
        licenses: ["MIT"]
      ],
      source_url: @source_url,
      docs: [
        main: "Pandoc",
        source_ref: @source_ref,
        source_url_pattern: "#{@source_url}/src/branch/#{@source_ref}/%{path}#L%{line}"
      ],
      aliases: [test: ["pandoc.install --if-missing", "test"]]
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger, inets: :optional, ssl: :optional],
      mod: {Pandoc.Application, []},
      env: [default: []]
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:file_system, "~> 1.0"},
      {:castore, ">= 0.0.0"},
      {:ex_doc, ">= 0.0.0", only: :dev, runtime: false}
    ]
  end
end
